Bug 1413624 - Copr backend eats logs for Fedora 22 chroot
Summary: Copr backend eats logs for Fedora 22 chroot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Internal Copr
Classification: Internal
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 14:46 UTC by Pavel Raiskup
Modified: 2018-09-18 09:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-18 09:09:25 UTC


Attachments (Terms of Use)

Description Pavel Raiskup 2017-01-16 14:46:38 UTC
http://coprbe.devel.redhat.com/results/lslebodn/sssd-master/fedora-22-x86_64/00007114-sssd

Let's try what happens in new copr version (soon) and fix if this bug is
still there..

Comment 1 Lukas Slebodnik 2017-01-16 15:05:13 UTC
(In reply to Pavel Raiskup from comment #0)
> http://coprbe.devel.redhat.com/results/lslebodn/sssd-master/fedora-22-x86_64/
> 00007114-sssd
> 
> Let's try what happens in new copr version (soon) and fix if this bug is
> still there..

This was a resubmitted build because previous build failed for fedora 22 as well
https://copr.devel.redhat.com/coprs/lslebodn/sssd-master/build/7105/

Comment 2 Lukas Slebodnik 2017-01-16 16:23:11 UTC
It failed also in stg
https://stg-copr.devel.redhat.com/coprs/lslebodn/sssd-master/build/2065/

Comment 3 Pavel Raiskup 2017-01-16 22:22:26 UTC
Thanks for confirmation.  I think build fails because updated mock doesn't
provide fedora-22 mock profiles;  so copr needs to maintain the mock profiles
manually same as even older mock profiles.

I'll add the mock profiles but proper resolution should be fixing copr backed
so it shows appropriate error output.

Comment 4 Pavel Raiskup 2017-01-17 14:06:02 UTC
Fedora 22 chroots were added.  The fix is still on TODO.

Comment 5 Lukas Slebodnik 2017-01-17 14:14:20 UTC
(In reply to Pavel Raiskup from comment #4)
> Fedora 22 chroots were added.  The fix is still on TODO.

A little bit offtopic question. Do you have an idea why fedora 21 chroots were working without any problem?

Comment 6 Pavel Raiskup 2017-01-17 15:01:10 UTC
> same as even older mock profiles.

I've manually added them before.

Comment 7 Lukas Slebodnik 2017-03-15 08:23:14 UTC
(In reply to Pavel Raiskup from comment #6)
> > same as even older mock profiles.
> 
> I've manually added them before.

BTW some of latest upgrade of mock removed f23 chroots
Could you manually add them back? f21 and f22 are still there.

Comment 10 Pavel Raiskup 2018-09-18 09:09:25 UTC
This should be fixed for quite some time.  Please reopen if you face similar
issues in future.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.